Tag: android gradle

Comment définir la maison de gradle lors de l'importation d'un projet existant dans un studio Android

Comment définir la maison de gradle lors de l'importation d'un projet existant dans un studio Android. En essayant d'importer, j'ai besoin de configurer ce chemin.

Miss Api_key / clé actuelle avec Google Services 3.0.0

Depuis que j'ai mis à niveau le projet avec la dernière version des services et des bibliothèques de google (9.0.0), j'ai ce problème étrange: Console classée: :app:processDebugGoogleServices Parsing json file: /Users/cyrilmorales/Documents/Projects/mobilemeans-punainenristi/app/google-services.json :app:processDebugGoogleServices FAILED Error:Execution failed for task ':app:processDebugGoogleServices'. > Missing api_key/current_key object Information:BUILD FAILED Build.gradle (root): dependencies { classpath 'com.android.tools.build:gradle:2.2.0-alpha1' classpath 'com.google.gms:google-services:3.0.0' } Build.gradle (application): […]

Le plugin est trop vieux, mettez à jour une version plus récente ou définissez la variable d'environnement ANDROID_DAILY_OVERRIDE pour

Aujourd'hui, je viens d'importer un exemple d'application depuis Android SDK en tant que module dans mon projet (analytics) et soudainement j'ai eu cette erreur gradle lorsque j'essaie de la synchroniser: le Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE envrinment variable to… C'est mon fichier gradle application: apply plugin: […]

Plusieurs fichiers dex définissent Landroid / support / v4 / accessibilityservice / AccessibilityServiceInfoCompat

Si je cours gradle assembleDebug partir de la ligne de commande, je reçois soudainement cette erreur: UNEXPECTED TOP-LEVEL EXCEPTION: com.android.dx.util.DexException: Multiple dex files define Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat$AccessibilityServiceInfoVersionImpl; at com.android.dx.merge.DexMerger.readSortableTypes(DexMerger.java:592) at com.android.dx.merge.DexMerger.getSortedTypes(DexMerger.java:550) at com.android.dx.merge.DexMerger.mergeClassDefs(DexMerger.java:531) at com.android.dx.merge.DexMerger.mergeDexBuffers(DexMerger.java:168) at com.android.dx.merge.DexMerger.merge(DexMerger.java:186) at com.android.dx.command.dexer.Main.mergeLibraryDexBuffers(Main.java:300) at com.android.dx.command.dexer.Main.run(Main.java:232) at com.android.dx.command.dexer.Main.main(Main.java:174) at com.android.dx.command.Main.main(Main.java:91) Si je grep pour v4, je vois deux fichiers dans mon dossier […]

Comment utiliser manuellement le package AAR externe en utilisant le nouveau système de compilation Android Gradle

J'ai expérimenté le nouveau système de construction Android et j'ai rencontré un petit problème. J'ai compilé mon propre paquet Aar de ActionBarSherlock que j'ai appelé 'actionbarsherlock.aar'. Ce que j'essaie de faire, c'est effectivement utiliser cette version pour créer mon APK final. Si j'inclue toute la bibliothèque ActionBarSherlock comme module de bibliothèque Android dans mon projet […]

Comment créer un fichier signé apk avec Gradle?

J'aimerais que ma compilation Gradle crée une version du fichier apk signé avec Gradle. Je ne sais pas si le code est correct ou si je manque un paramètre lors de la création de gradle build ? Voici le code dans mon fichier gradle: android { … signingConfigs { release { storeFile file("release.keystore") storePassword "******" […]

Quelle est la différence entre compileSdkVersion et targetSdkVersion?

J'ai regardé la documentation pour construire avec Gradle, mais je ne suis toujours pas sûr de la différence entre compileSdkVersion et targetSdkVersion . Tout ce qu'il dit est: La propriété compileSdkVersion spécifie la cible de compilation. Eh bien, quelle est la "cible de compilation"? Je vois deux façons possibles d'interpréter ceci: compileSdkVersion est la version […]

Fusion Manifeste échouée: uses-sdk: minSdkVersion 14

Depuis le téléchargement du dernier SDK et l'installation d'Android Studio, mon projet ne parvient pas à construire. Je reçois le message suivant: Error:Gradle: Execution failed for task ':SampleProject:processProdDebugManifest'. > Manifest merger failed : uses-sdk:minSdkVersion 14 cannot be smaller than version L declared in library com.android.support:support-v4:21.0.0-rc1

HttpClient ne sera pas importé dans Android Studio

J'ai une classe simple écrite dans Android Studio: package com.mysite.myapp; import org.apache.http.client.HttpClient; public class Whatever { public void headBangingAgainstTheWallExample () { HttpClient client = new DefaultHttpClient(); } } Et à partir de cela, j'ai l'erreur de temps de compilation suivante: Cannot resolve symbol HttpClient HttpClient n'est-il pas inclus dans le SDK Android Studio? Même si […]

Plugin Android Gradle 0.7.0: "duplication de fichiers pendant l'emballage d'APK"

Utilisation du plugin Android Gradle 0.7.0 avec build.gradle suivant: buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.7.0' } } apply plugin: 'android' repositories { maven { url "https://android-rome-feed-reader.googlecode.com/svn/maven2/releases" } maven { url "http://dl.bintray.com/populov/maven" } mavenCentral() } android { compileSdkVersion 19 buildToolsVersion '18.1.1' defaultConfig { minSdkVersion 9 targetSdkVersion 19 } buildTypes { release { […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.